Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Fetching latest commit…

Cannot retrieve the latest commit at this time

..
Failed to load latest commit information.
lib
sample
.cvsignore
ChangeLog.tkextlib
README.1st
README.fork
depend
extconf.rb
tkutil.c

README.1st

If you want to use Ruby/Tk (tk.rb and so on), you must have tcltklib.so 
which is working correctly. If you fail to call 'require "tcltklib"', 
you may not have tcltklib.so. When you have some troubles on compiling
tcltklib, please read README files on tcltklib. 
Even if there is a tcltklib.so on your Ruby library directry, it will not 
work without Tcl/Tk libraries (e.g. libtcl8.4.so) on your environment. 
You must also check that your Tcl/Tk is installed properly. 

--------------------------------------------
 ( the following is written in EUC-JP )

Ruby/Tk (tk.rb など) を使いたい場合には,tcltklib.so が正しく動いて
いなければなりません.もし 'require "tcltklib"' に失敗するようなら,
tcltklib.so がインストールされていないのかもしれません.tcltklib の
コンパイル時に何か問題が生じている場合は,tcltklib の README ファイル
を見てください.
たとえ Ruby のライブラリディレクトリに tcltklib.so が存在していたとして
も,実行環境に Tcl/Tk ライブラリ (libtcl8.4.so など) がなければ機能しま
せん.Tcl/Tk が正しくインストールされているかもチェックしてください.

==========================================================
                Hidetoshi NAGAI (nagai@ai.kyutech.ac.jp)
Something went wrong with that request. Please try again.